Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "upscale-video",
    "input": {
      "model": "topaz-upscaler",
      "video_url": "https://example.com/low-res-video.mp4",
      "upscale_factor": 2,
      "target_fps": 60
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "upscale-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits3 credits per second
Toolupscale-video

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesupscale-video
input.modelstringYestopaz-upscaler
input.video_urlstringYesURL of the video to upscale
input.upscale_factornumberNoUpscale factor. Options: 2 (default), 3
input.target_fpsnumberNoTarget frame rate. Options: 24, 25, 30 (default), 48, 50, 60
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "upscale-video",
    "input": {
      "model": "topaz-upscaler",
      "video_url": "https://example.com/low-res-video.mp4",
      "upscale_factor": 2,
      "target_fps": 60
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "upscale-video",
  "createdAt": "2024-01-15T10:30:00.000Z"
}